
model_type=$1
task_name=$2
scaling_type=$3
type=$4

folder_path=eval_output/${type}_predictions/${model_type}-${task_name}

file_list=$(ls "$folder_path"/${type}_300_*_"$scaling_type".txt)

for file in $file_list; do
    if [ -f "$file" ]; then
        echo "Processing file: $file"

		python -u evaluation/evaluate_responses.py --input-path $file

	fi
done


# python -u evaluation/evaluate_responses.py --input-path eval_output/kv_predictions/llama2-PI/kv_140_at_0_4k_32k_mine1.txt